Bug 807368 - Make TCMS to install special package from an extra repo
Make TCMS to install special package from an extra repo
Status: ASSIGNED
Product: TCMS
Classification: Other
Component: Usability (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 4.0
Assigned To: June Zhang
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 11:38 EDT by Matěj Cepl
Modified: 2016-05-26 09:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
working Beaker Job XML (3.75 KB, application/xml)
2012-03-27 11:39 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2012-03-27 11:38:10 EDT
Description of problem:
I have this job in Beaker https://beaker.engineering.redhat.com/jobs/clone?job_id=209665 ... it works in Beaker, when I run it there, but I don't know how to make a test in TCMS to run it correctly.

The problem is that I use in the Job XML <repo> element and /distribution/pkginstall task (not mentioning a complicated method of selecting the machine).

When I put to the test case (see https://tcms.engineering.redhat.com/case/132982/edit/?from_plan=5258) running of the script /desktop/rhel6/xorg-x11-server/piglit all this will be ignored, right?

Version-Release number of selected component (if applicable):
beaker and TCMS as present on the Red Hat sites as of 2012-03-27

How reproducible:
100%

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
either it is not possible to install a special package from an extra repository or it is not documented

Expected results:
it should be possible and documented to run any working Beaker job (with its Job XML) via TCMS test.
Comment 1 Matěj Cepl 2012-03-27 11:39:01 EDT
Created attachment 573105 [details]
working Beaker Job XML
Comment 2 yawei Li 2012-05-16 04:54:53 EDT
integration with Beaker will be implemented in TCMS 4.0.

Note You need to log in before you can comment on or make changes to this bug.